Subject: Re: [PATCH net] net: netlink: filter particular protocols from analyzers

From: Stephen Hemminger <[email-masked]>
Date: Thu, 5 Sep 2013 11:57:55 -0700

On Thu, 05 Sep 2013 14:44:42 -0400 (EDT)
David Miller <[email-masked]> wrote:

> From: Daniel Borkmann <[email-masked]>
> Date: Thu,  5 Sep 2013 17:48:47 +0200
> 
> > From: Daniel Borkmann <[email-masked]>
> > 
> > Fix finer-grained control and let only a whitelist of allowed netlink
> > protocols pass, in our case related to networking. If later on, other
> > subsystems decide they want to add their protocol as well to the list
> > of allowed protocols they shall simply add it. While at it, we also
> > need to tell what protocol is in use otherwise BPF_S_ANC_PROTOCOL can
> > not pick it up (as it's not filled out).
> > 
> > Signed-off-by: Daniel Borkmann <[email-masked]>
> 
> This takes away functionality that I'd be more interesting in using,
> namely being able to listen to all netlink protocols using one tap.
> 
> Seriously, when I first saw this feature, that was the first way I'd
> imagine myself using it, as a tcpdump for netlink traffic, all of
> it.
> 
> If I just want to hear all netlink traffic, don't make me be forced to
> know every single NETLINK_* protocol value and have to open that many
> sockets just to do so.
> 
> It also makes it so that I can't listen to userlevel custom netlink
> protocols, another minus of filtering.
> 
> At the very least, allow an sk_protocol of zero or similar to have this
> meaning of "everything".
> 
> I'm not applying this patch, sorry.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

If you want filtering, why not add BPF (sk_filter) support to this?